Summary:	Simple Hangul X Input Method
Name:		nabi
Version:	1.0.1
Release:	%mkrel 2
Group:		System/Internationalization
License:	GPLv2
URL:		https://github.com/libhangul/nabi
Source:		https://github.com/libhangul/nabi/archive/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.4.0
BuildRequires:	pkgconfig(libhangul) >= 0.0.6
Requires:	locales-ko

%description
Nabi is a simple XIM for Korean, implemented with GTK+2.
It can dock in the notification area, and also show the
status of imhangul (See also https://imhangul.kldp.net/).

%prep
%autosetup -n %{name}-%{name}-%{version}

%build
export CFLAGS="%{optflags} -std=gnu17"
./autogen.sh
%configure
%make_build

%install
%make_install

# menu entry:
mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
[Desktop Entry]
Name=Nabi
Comment=Simple Hangul XIM
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Settings;Accessibility;
EOF

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
install -m 644 nabi.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%license COPYING
%{_bindir}/nabi
%{_datadir}/nabi/
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog
* Wed May 21 2025 ns80 <ns80> 1.0.1-2.mga10
+ Revision: 2185458
- try to fix building with GCC 15

* Thu Oct 17 2024 daviddavid <daviddavid> 1.0.1-1.mga10
+ Revision: 2107646
- new version: 1.0.1

* Sat Mar 26 2022 umeabot <umeabot> 1.0.0-8.mga9
+ Revision: 1828215
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.0.0-7.mga8
+ Revision: 1515266
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-6.mga7
+ Revision: 1299668
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Wed Feb 03 2016 umeabot <umeabot> 1.0.0-5.mga6
+ Revision: 933399
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 749870
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 682759
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-2.mga4
+ Revision: 533978
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1.0.0-1.mga4
+ Revision: 475931
- New URL
- New version: 1.0.0

* Sat Jan 12 2013 umeabot <umeabot> 0.99.9-3.mga3
+ Revision: 360662
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 31 2011 fwang <fwang> 0.99.9-2.mga2
+ Revision: 160320
- rebuild for new libhangul
+ tv <tv>
- new release

* Tue Apr 26 2011 wally <wally> 0.99.8-2.mga1
+ Revision: 91786
- fix desktop file name (mga#954)
- drop buildroot definition
- clean buildroot before install stage

* Thu Apr 14 2011 tv <tv> 0.99.8-1.mga1
+ Revision: 84948
- new release

* Wed Mar 16 2011 steletch <steletch> 0.99.7-1.mga1
+ Revision: 72783
- Clean spec file
- imported package nabi


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.99.7-2mdv2011.0
+ Revision: 620429
- the mass rebuild of 2010.0 packages

  + Sandro Cazzaniga <kharec@mandriva.org>
    - fix license to gplv2
    - use tar.gz
    - use %%configure2_5x and %%make
    - update to 0.99.7

* Wed Aug 12 2009 Thierry Vignaud <tv@mandriva.org> 0.99.4-1mdv2010.0
+ Revision: 415386
- new release
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 02 2008 Thierry Vignaud <tv@mandriva.org> 0.99.0-1mdv2008.1
+ Revision: 140637
- new release
- kill re-definition of %%buildroot on Pixel's request
- fix spacing in description

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Oct 10 2007 Thierry Vignaud <tv@mandriva.org> 0.19-1mdv2008.1
+ Revision: 96740
- new release
- fix source URL

* Wed Sep 05 2007 Thierry Vignaud <tv@mandriva.org> 0.18-1mdv2008.1
+ Revision: 80153
- require a newer libhangul
- new release
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 0.17-1mdv2008.0
+ Revision: 69785
- convert menu to XDG
- buildrequire libhangul-devel
- new release
- Import nabi



* Mon Jul 25 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.15-1mdk
- New release 0.15
- mkrel 

* Thu Sep 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.14-1mdk
- new release

* Thu Aug 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.13-2mdk
- nabi shall request locales-ko

* Fri Jul 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.13-1mdk
- initial release
